# Ogre::PanelOverlayElementFactory Class Reference

Factory for creating PanelOverlayElement instances. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::PanelOverlayElementFactory:

List of all members.

## Public Member Functions

OverlayElement * | createOverlayElement (const String &instanceName)
| See OverlayElementFactory.
const String & | getTypeName (void) const
| See OverlayElementFactory.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.

## Detailed Description

Factory for creating PanelOverlayElement instances.

Definition at line 61 of file OgreOverlayElementFactory.h.

## Member Function Documentation

OverlayElement* Ogre::PanelOverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) | `[virtual]`

| See OverlayElementFactory. Implements Ogre::OverlayElementFactory. Definition at line 65 of file OgreOverlayElementFactory.h. References Ogre::String.

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) | `[virtual, inherited]`

| Destroys a OverlayElement which this factory created previously. Definition at line 54 of file OgreOverlayElementFactory.h.

const String& Ogre::PanelOverlayElementFactory::getTypeName | ( | void |  | ) | const`[virtual]`

| See OverlayElementFactory. Implements Ogre::OverlayElementFactory. Definition at line 70 of file OgreOverlayElementFactory.h. References Ogre::String.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:01:36 2006